stan-0.2.0.0: Haskell STatic ANalyser

Copyright | (c) 2020 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Safe Haskell | None
Language | Haskell2010

Stan.FileInfo

Description

File (or module) specific information.

Synopsis

- type FileMap = Map FilePath FileInfo
- data FileInfo = FileInfo {
  - fileInfoPath :: !FilePath
  - fileInfoModuleName :: !ModuleName
  - fileInfoLoc :: !Int
  - fileInfoCabalExtensions :: !(Either ExtensionsError ParsedExtensions)
  - fileInfoExtensions :: !(Either ExtensionsError ParsedExtensions)
  - fileInfoMergedExtensions :: !ExtensionsResult
  - fileInfoObservations :: !Observations
  }
- extensionsToText :: Either ExtensionsError ParsedExtensions -> [Text]
- isExtensionDisabled :: Extension -> ExtensionsResult -> Bool

# Documentation

type FileMap = Map FilePath FileInfo #

data FileInfo #

File specific information.

Constructors

FileInfo |
Fields fileInfoPath :: !FilePath fileInfoModuleName :: !ModuleName fileInfoLoc :: !Int fileInfoCabalExtensions :: !(Either ExtensionsError ParsedExtensions) fileInfoExtensions :: !(Either ExtensionsError ParsedExtensions) fileInfoMergedExtensions :: !ExtensionsResult fileInfoObservations :: !Observations

#### Instances

Instances details

Show FileInfo # |
Instance details Defined in Stan.FileInfo Methods showsPrec :: Int -> FileInfo -> ShowS # show :: FileInfo -> String # showList :: [FileInfo] -> ShowS #
Eq FileInfo # |
Instance details Defined in Stan.FileInfo Methods (==) :: FileInfo -> FileInfo -> Bool # (/=) :: FileInfo -> FileInfo -> Bool #
ToJSON FileInfo # |
Instance details Defined in Stan.FileInfo Methods toJSON :: FileInfo -> Value #

extensionsToText :: Either ExtensionsError ParsedExtensions -> [Text] #

Return the list of pretty-printed extensions.

isExtensionDisabled :: Extension -> ExtensionsResult -> Bool #

Check whether the given extension is disabled